View Issue Details

IDProjectCategoryView StatusLast Update
0015053LazarusOtherpublic2009-11-14 20:09
ReporterMartin Friebe Assigned ToMartin Friebe  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN) 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0015053: fpdoc screws text and lineendings
DescriptionIf I enter the following text into fpdocs description:
1234
5678
ABCD
MNOP

Then save it, and view it it will be changed to:
1234

5678

ABC

MN
P


Additional InformationThe problem is in (I singlestepped it, it screwed up in there)

C:\lazarus_latest\ide\codehelp.pas
line 342
function ToOSLineEnding(const s: String): String;

It seems that a 2 byte line-ending is copied over in one, ut the stringpointer p only increased by one (leaving the 2nd half of the line ending (which has been handled) to be seen again in the loop...

TagsNo tags attached.
Fixed in Revision22555
LazTarget0.9.30
WidgetsetWin32/Win64
Attached Files

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2009-11-11 06:37 Martin Friebe New Issue
2009-11-11 06:37 Martin Friebe LazTarget => -
2009-11-11 06:37 Martin Friebe Widgetset => Win32/Win64
2009-11-13 02:28 Martin Friebe Status new => assigned
2009-11-13 02:28 Martin Friebe Assigned To => Martin Friebe
2009-11-13 02:30 Martin Friebe Fixed in Revision => 22555
2009-11-13 02:30 Martin Friebe LazTarget - => 0.9.30
2009-11-13 02:30 Martin Friebe Status assigned => resolved
2009-11-13 02:30 Martin Friebe Fixed in Version => 0.9.29 (SVN)
2009-11-13 02:30 Martin Friebe Resolution open => fixed
2009-11-13 02:31 Martin Friebe Target Version => 0.9.30
2009-11-14 20:09 Martin Friebe Status resolved => closed